#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, m, k;
    cin >> n >> m >> k;
    if (n % k)
        n = n + k - n % k;
    if (m % k)
        m = m + k - m % k;
    cout << (n * m) / (k * k);
    return 0;
}

